"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
const create_queue_js_1 = require("../../../../tests/common/create-queue.js");
const publish_and_acknowledge_message_js_1 = require("../../../../tests/common/publish-and-acknowledge-message.js");
(0, vitest_1.describe)('getQueueAcknowledgedMessagesController', () => {
    (0, vitest_1.it)('HTTP 200 OK', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c, _d, _e, _f, _g;
        const { queue } = yield (0, create_queue_js_1.createQueue)('my-queue');
        const [id1] = yield (0, publish_and_acknowledge_message_js_1.publishAndAcknowledgeMessage)(queue);
        const [id2] = yield (0, publish_and_acknowledge_message_js_1.publishAndAcknowledgeMessage)(queue);
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const queryParams = {
            pageSize: 10,
            cursor: 0,
        };
        const response1 = yield request
            .get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/acknowledged-messages`)
            .query(queryParams);
        (0, vitest_1.expect)(response1.status).toEqual(200);
        (0, vitest_1.expect)((_c = (_b = response1.body) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.totalItems).toEqual(2);
        (0, vitest_1.expect)((_e = (_d = response1.body) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.cursor).toEqual(0);
        (0, vitest_1.expect)((_g = (_f = response1.body) === null || _f === void 0 ? void 0 : _f.data) === null || _g === void 0 ? void 0 : _g.items.map((i) => i.id).sort()).toEqual([id1, id2].sort());
    }));
});
//# sourceMappingURL=getQueueAcknowledgedMessagesController.test.js.map