"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resourceMap = void 0;
const index_js_1 = require("../../lib/controller/types/index.js");
const countConsumerGroupPendingMessagesController_js_1 = require("../controllers/consumer-groups/countConsumerGroupPendingMessagesController.js");
const deleteConsumerGroupController_js_1 = require("../controllers/consumer-groups/deleteConsumerGroupController.js");
const getConsumerGroupPendingMessagesController_js_1 = require("../controllers/consumer-groups/getConsumerGroupPendingMessagesController.js");
const getConsumerGroupsController_js_1 = require("../controllers/consumer-groups/getConsumerGroupsController.js");
const purgeConsumerGroupPendingMessagesController_js_1 = require("../controllers/consumer-groups/purgeConsumerGroupPendingMessagesController.js");
const saveConsumerGroupController_js_1 = require("../controllers/consumer-groups/saveConsumerGroupController.js");
const bindQueueController_js_1 = require("../controllers/exchange-fan-out/bindQueueController.js");
const getAllExchangesController_js_1 = require("../controllers/exchange-fan-out/getAllExchangesController.js");
const getQueuesController_js_1 = require("../controllers/exchange-fan-out/getQueuesController.js");
const saveExchangeController_js_1 = require("../controllers/exchange-fan-out/saveExchangeController.js");
const deleteMessageByIdController_js_1 = require("../controllers/message/deleteMessageByIdController.js");
const deleteMessagesByIdsController_js_1 = require("../controllers/message/deleteMessagesByIdsController.js");
const getMessageByIdController_js_1 = require("../controllers/message/getMessageByIdController.js");
const getMessagesByIdsController_js_1 = require("../controllers/message/getMessagesByIdsController.js");
const getMessageStatusController_js_1 = require("../controllers/message/getMessageStatusController.js");
const publishMessageController_js_1 = require("../controllers/message/publishMessageController.js");
const requeueMessageByIdController_js_1 = require("../controllers/message/requeueMessageByIdController.js");
const deleteNamespaceController_js_1 = require("../controllers/namespace/deleteNamespaceController.js");
const getNamespaceQueuesController_js_1 = require("../controllers/namespace/getNamespaceQueuesController.js");
const getNamespacesController_js_1 = require("../controllers/namespace/getNamespacesController.js");
const countQueueAcknowledgedMessagesController_js_1 = require("../controllers/queue-acknowledged-messages/countQueueAcknowledgedMessagesController.js");
const getQueueAcknowledgedMessagesController_js_1 = require("../controllers/queue-acknowledged-messages/getQueueAcknowledgedMessagesController.js");
const purgeQueueAcknowledgedMessagesController_js_1 = require("../controllers/queue-acknowledged-messages/purgeQueueAcknowledgedMessagesController.js");
const countQueueDeadLetteredMessagesController_js_1 = require("../controllers/queue-dead-lettered-messages/countQueueDeadLetteredMessagesController.js");
const getQueueDeadLetteredMessagesController_js_1 = require("../controllers/queue-dead-lettered-messages/getQueueDeadLetteredMessagesController.js");
const purgeQueueDeadLetteredMessagesController_js_1 = require("../controllers/queue-dead-lettered-messages/purgeQueueDeadLetteredMessagesController.js");
const countQueueMessagesByStatusController_js_1 = require("../controllers/queue-messages/countQueueMessagesByStatusController.js");
const countQueueMessagesController_js_1 = require("../controllers/queue-messages/countQueueMessagesController.js");
const getQueueMessagesController_js_1 = require("../controllers/queue-messages/getQueueMessagesController.js");
const countQueuePendingMessagesController_js_1 = require("../controllers/queue-pending-messages/countQueuePendingMessagesController.js");
const getQueuePendingMessagesController_js_1 = require("../controllers/queue-pending-messages/getQueuePendingMessagesController.js");
const purgeQueuePendingMessagesController_js_1 = require("../controllers/queue-pending-messages/purgeQueuePendingMessagesController.js");
const clearQueueRateLimitController_js_1 = require("../controllers/queue-rate-limit/clearQueueRateLimitController.js");
const getQueueRateLimitController_js_1 = require("../controllers/queue-rate-limit/getQueueRateLimitController.js");
const setQueueRateLimitController_js_1 = require("../controllers/queue-rate-limit/setQueueRateLimitController.js");
const countQueueScheduledMessagesController_js_1 = require("../controllers/queue-scheduled-messages/countQueueScheduledMessagesController.js");
const getQueueScheduledMessagesController_js_1 = require("../controllers/queue-scheduled-messages/getQueueScheduledMessagesController.js");
const purgeQueueScheduledMessagesController_js_1 = require("../controllers/queue-scheduled-messages/purgeQueueScheduledMessagesController.js");
const createQueueController_js_1 = require("../controllers/queue/createQueueController.js");
const deleteQueueController_js_1 = require("../controllers/queue/deleteQueueController.js");
const getAllQueuesController_js_1 = require("../controllers/queue/getAllQueuesController.js");
const getQueuePropertiesController_js_1 = require("../controllers/queue/getQueuePropertiesController.js");
const queueExistsController_js_1 = require("../controllers/queue/queueExistsController.js");
exports.resourceMap = {
    path: '/',
    resource: [
        {
            path: 'api',
            resource: [
                {
                    path: 'v1',
                    resource: [
                        {
                            path: 'queues',
                            tags: ['Queues'],
                            resource: [
                                {
                                    handler: getAllQueuesController_js_1.getAllQueuesController,
                                    method: index_js_1.EControllerRequestMethod.GET,
                                    payload: [],
                                },
                                {
                                    handler: createQueueController_js_1.createQueueController,
                                    method: index_js_1.EControllerRequestMethod.POST,
                                    payload: [index_js_1.EControllerRequestPayload.BODY],
                                },
                            ],
                        },
                        {
                            path: 'namespaces',
                            tags: ['Namespaces'],
                            resource: [
                                {
                                    handler: getNamespacesController_js_1.getNamespacesController,
                                    method: index_js_1.EControllerRequestMethod.GET,
                                    payload: [],
                                },
                                {
                                    path: ':ns',
                                    resource: [
                                        {
                                            handler: deleteNamespaceController_js_1.deleteNamespaceController,
                                            method: index_js_1.EControllerRequestMethod.DELETE,
                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                        },
                                        {
                                            path: 'queues',
                                            resource: [
                                                {
                                                    handler: getNamespaceQueuesController_js_1.getNamespaceQueuesController,
                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                },
                                                {
                                                    path: ':name',
                                                    tags: ['Queue'],
                                                    resource: [
                                                        {
                                                            handler: getQueuePropertiesController_js_1.getQueuePropertiesController,
                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                        },
                                                        {
                                                            handler: deleteQueueController_js_1.deleteQueueController,
                                                            method: index_js_1.EControllerRequestMethod.DELETE,
                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                        },
                                                        {
                                                            path: 'exists',
                                                            resource: [
                                                                {
                                                                    handler: queueExistsController_js_1.queueExistsController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'total-messages',
                                                            resource: [
                                                                {
                                                                    handler: countQueueMessagesController_js_1.countQueueMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                                {
                                                                    path: 'stats',
                                                                    resource: [
                                                                        {
                                                                            handler: countQueueMessagesByStatusController_js_1.countQueueMessagesByStatusController,
                                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                    ],
                                                                },
                                                                {
                                                                    path: 'pending',
                                                                    resource: [
                                                                        {
                                                                            handler: countQueuePendingMessagesController_js_1.countQueuePendingMessagesController,
                                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                    ],
                                                                },
                                                                {
                                                                    path: 'scheduled',
                                                                    resource: [
                                                                        {
                                                                            handler: countQueueScheduledMessagesController_js_1.countQueueScheduledMessagesController,
                                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                    ],
                                                                },
                                                                {
                                                                    path: 'acknowledged',
                                                                    resource: [
                                                                        {
                                                                            handler: countQueueAcknowledgedMessagesController_js_1.countQueueAcknowledgedMessagesController,
                                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                    ],
                                                                },
                                                                {
                                                                    path: 'dead-lettered',
                                                                    resource: [
                                                                        {
                                                                            handler: countQueueDeadLetteredMessagesController_js_1.countQueueDeadLetteredMessagesController,
                                                                            method: index_js_1.EControllerRequestMethod.GET,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                    ],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'messages',
                                                            tags: ['Queue messages'],
                                                            resource: [
                                                                {
                                                                    handler: getQueueMessagesController_js_1.getQueueMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                    ],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'pending-messages',
                                                            tags: ['Pending messages'],
                                                            resource: [
                                                                {
                                                                    handler: getQueuePendingMessagesController_js_1.getQueuePendingMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                    ],
                                                                },
                                                                {
                                                                    handler: purgeQueuePendingMessagesController_js_1.purgeQueuePendingMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'acknowledged-messages',
                                                            tags: ['Acknowledged messages'],
                                                            resource: [
                                                                {
                                                                    handler: getQueueAcknowledgedMessagesController_js_1.getQueueAcknowledgedMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                    ],
                                                                },
                                                                {
                                                                    handler: purgeQueueAcknowledgedMessagesController_js_1.purgeQueueAcknowledgedMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'dead-lettered-messages',
                                                            tags: ['Dead-lettered messages'],
                                                            resource: [
                                                                {
                                                                    handler: getQueueDeadLetteredMessagesController_js_1.getQueueDeadLetteredMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                    ],
                                                                },
                                                                {
                                                                    handler: purgeQueueDeadLetteredMessagesController_js_1.purgeQueueDeadLetteredMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'scheduled-messages',
                                                            tags: ['Scheduled messages'],
                                                            resource: [
                                                                {
                                                                    handler: getQueueScheduledMessagesController_js_1.getQueueScheduledMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                    ],
                                                                },
                                                                {
                                                                    handler: purgeQueueScheduledMessagesController_js_1.purgeQueueScheduledMessagesController,
                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'consumer-groups',
                                                            tags: ['Consumer groups'],
                                                            resource: [
                                                                {
                                                                    handler: getConsumerGroupsController_js_1.getConsumerGroupsController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                                {
                                                                    handler: saveConsumerGroupController_js_1.saveConsumerGroupController,
                                                                    method: index_js_1.EControllerRequestMethod.POST,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.BODY,
                                                                    ],
                                                                },
                                                                {
                                                                    path: ':consumerGroupId',
                                                                    resource: [
                                                                        {
                                                                            handler: deleteConsumerGroupController_js_1.deleteConsumerGroupController,
                                                                            method: index_js_1.EControllerRequestMethod.DELETE,
                                                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                        },
                                                                        {
                                                                            path: 'total-messages',
                                                                            resource: [
                                                                                {
                                                                                    handler: countConsumerGroupPendingMessagesController_js_1.countConsumerGroupPendingMessagesController,
                                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                                    payload: [
                                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                                    ],
                                                                                },
                                                                            ],
                                                                        },
                                                                        {
                                                                            path: 'messages',
                                                                            resource: [
                                                                                {
                                                                                    handler: getConsumerGroupPendingMessagesController_js_1.getConsumerGroupPendingMessagesController,
                                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                                    payload: [
                                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                                        index_js_1.EControllerRequestPayload.QUERY,
                                                                                    ],
                                                                                },
                                                                                {
                                                                                    handler: purgeConsumerGroupPendingMessagesController_js_1.purgeConsumerGroupPendingMessagesController,
                                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                                    payload: [
                                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                                    ],
                                                                                },
                                                                            ],
                                                                        },
                                                                    ],
                                                                },
                                                            ],
                                                        },
                                                        {
                                                            path: 'rate-limit',
                                                            tags: ['Rate limiting'],
                                                            resource: [
                                                                {
                                                                    handler: getQueueRateLimitController_js_1.getQueueRateLimitController,
                                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                                {
                                                                    handler: setQueueRateLimitController_js_1.setQueueRateLimitController,
                                                                    method: index_js_1.EControllerRequestMethod.PUT,
                                                                    payload: [
                                                                        index_js_1.EControllerRequestPayload.PATH,
                                                                        index_js_1.EControllerRequestPayload.BODY,
                                                                    ],
                                                                },
                                                                {
                                                                    handler: clearQueueRateLimitController_js_1.clearQueueRateLimitController,
                                                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                                },
                                                            ],
                                                        },
                                                    ],
                                                },
                                            ],
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            path: 'messages',
                            tags: ['Messages'],
                            resource: [
                                {
                                    handler: publishMessageController_js_1.publishMessageController,
                                    method: index_js_1.EControllerRequestMethod.POST,
                                    payload: [index_js_1.EControllerRequestPayload.BODY],
                                },
                                {
                                    handler: getMessagesByIdsController_js_1.getMessagesByIdsController,
                                    method: index_js_1.EControllerRequestMethod.GET,
                                    payload: [index_js_1.EControllerRequestPayload.QUERY],
                                },
                                {
                                    handler: deleteMessagesByIdsController_js_1.deleteMessagesByIdsController,
                                    method: index_js_1.EControllerRequestMethod.DELETE,
                                    payload: [index_js_1.EControllerRequestPayload.QUERY],
                                },
                                {
                                    path: ':id',
                                    resource: [
                                        {
                                            handler: getMessageByIdController_js_1.getMessageByIdController,
                                            method: index_js_1.EControllerRequestMethod.GET,
                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                        },
                                        {
                                            handler: requeueMessageByIdController_js_1.requeueMessageByIdController,
                                            method: index_js_1.EControllerRequestMethod.POST,
                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                        },
                                        {
                                            handler: deleteMessageByIdController_js_1.deleteMessageByIdController,
                                            method: index_js_1.EControllerRequestMethod.DELETE,
                                            payload: [index_js_1.EControllerRequestPayload.PATH],
                                        },
                                        {
                                            path: 'requeue',
                                            resource: [
                                                {
                                                    handler: requeueMessageByIdController_js_1.requeueMessageByIdController,
                                                    method: index_js_1.EControllerRequestMethod.POST,
                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                },
                                            ],
                                        },
                                        {
                                            path: 'status',
                                            resource: [
                                                {
                                                    handler: getMessageStatusController_js_1.getMessageStatusController,
                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                },
                                            ],
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            path: 'exchanges',
                            tags: ['Exchanges'],
                            resource: [
                                {
                                    path: 'fan-out-exchanges',
                                    resource: [
                                        {
                                            handler: getAllExchangesController_js_1.getAllExchangesController,
                                            method: index_js_1.EControllerRequestMethod.GET,
                                            payload: [index_js_1.EControllerRequestPayload.QUERY],
                                        },
                                        {
                                            handler: saveExchangeController_js_1.saveExchangeController,
                                            method: index_js_1.EControllerRequestMethod.POST,
                                            payload: [index_js_1.EControllerRequestPayload.BODY],
                                        },
                                        {
                                            path: ':fanOutName',
                                            resource: [
                                                {
                                                    handler: bindQueueController_js_1.bindQueueController,
                                                    method: index_js_1.EControllerRequestMethod.PUT,
                                                    payload: [
                                                        index_js_1.EControllerRequestPayload.PATH,
                                                        index_js_1.EControllerRequestPayload.BODY,
                                                    ],
                                                },
                                                {
                                                    handler: getQueuesController_js_1.getQueuesController,
                                                    method: index_js_1.EControllerRequestMethod.GET,
                                                    payload: [index_js_1.EControllerRequestPayload.PATH],
                                                },
                                            ],
                                        },
                                    ],
                                },
                            ],
                        },
                    ],
                },
            ],
        },
    ],
};
//# sourceMappingURL=resource-map.js.map