"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueRateLimitService = void 0;
const bluebird_1 = __importDefault(require("bluebird"));
const redis_smq_common_1 = require("redis-smq-common");
const { promisifyAll } = bluebird_1.default;
class QueueRateLimitService {
    constructor(queueRateLimit) {
        this.queueRateLimit = promisifyAll(queueRateLimit);
    }
    setRateLimit(queueParams, queueRateLimit) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.queueRateLimit.setAsync(queueParams, queueRateLimit);
            const rateLimit = yield this.getRateLimit(queueParams);
            if (!rateLimit) {
                throw new redis_smq_common_1.PanicError(`Expected a non-empty reply`);
            }
            return rateLimit;
        });
    }
    getRateLimit(queueParams) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.queueRateLimit.getAsync(queueParams);
        });
    }
    clearRateLimit(queueParams) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.queueRateLimit.clearAsync(queueParams);
        });
    }
}
exports.QueueRateLimitService = QueueRateLimitService;
//# sourceMappingURL=QueueRateLimitService.js.map