import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishMessage } from '../../../../tests/common/publish-message.js';
describe('deleteMessageByIdController', () => {
    it('HTTP 204 No Content', async () => {
        await createQueue('my-queue');
        const [messageId] = await publishMessage('my-queue');
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.delete(`/api/v1/messages/${messageId}`);
        expect(response1.status).toEqual(204);
        expect(response1.body).toEqual({});
    });
});
//# sourceMappingURL=deleteMessageByIdController.test.js.map