import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishMessage } from '../../../../tests/common/publish-message.js';
describe('deleteMessagesByIdsController', () => {
    it('HTTP 204 No Content', async () => {
        await createQueue('my-queue');
        const [id1] = await publishMessage('my-queue');
        const [id2] = await publishMessage('my-queue');
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response2 = await request.delete(`/api/v1/messages`).query({
            ids: [id1, id2],
        });
        expect(response2.status).toEqual(204);
        expect(response2.body).toEqual({});
    });
});
//# sourceMappingURL=deleteMessagesByIdsController.test.js.map