import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishMessage } from '../../../../tests/common/publish-message.js';
describe('getMessagesByIdsController', () => {
    it('HTTP 200 OK', async () => {
        await createQueue('my-queue');
        const [id1] = await publishMessage('my-queue');
        const [id2] = await publishMessage('my-queue');
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response2 = await request.get(`/api/v1/messages`).query({
            ids: [id1, id2],
        });
        expect(response2.status).toEqual(200);
        expect(response2.body?.data?.length).toEqual(2);
        const pending = response2.body?.data?.map((i) => i.id);
        expect(pending).toEqual([id1, id2]);
    });
});
//# sourceMappingURL=getMessagesByIdsController.test.js.map