import { EQueueDeliveryModel, EQueueType } from 'redis-smq';
import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
describe('publishMessageController', () => {
    it('HTTP 201 Created', async () => {
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const requestBody1 = {
            queue: {
                ns: 'my-app1',
                name: 'my-queue',
            },
            queueDeliveryModel: EQueueDeliveryModel.POINT_TO_POINT,
            queueType: EQueueType.LIFO_QUEUE,
        };
        await request.post('/api/v1/queues').send(requestBody1);
        const requestBody2 = {
            message: {
                body: 'hello world',
            },
            exchange: { queue: requestBody1.queue },
        };
        const response = await request.post('/api/v1/messages').send(requestBody2);
        expect(response.status).toEqual(201);
        expect(response.body?.data?.length).toEqual(1);
        expect(typeof (response.body?.data || [])[0]).toEqual('string');
    });
});
//# sourceMappingURL=publishMessageController.test.js.map