import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { scheduleMessage } from '../../../../tests/common/schedule-message.js';
describe('purgeQueueScheduledMessagesController', () => {
    it('HTTP 204 Not Content', async () => {
        const { queue } = await createQueue('my-queue');
        await scheduleMessage(queue);
        await scheduleMessage(queue);
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.delete(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/scheduled-messages`);
        expect(response1.status).toEqual(204);
        expect(response1.body).toEqual({});
    });
});
//# sourceMappingURL=purgeQueueScheduledMessagesController.test.js.map