import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
import { createQueue } from '../../../../tests/common/create-queue.js';
describe('getQueuePropertiesController', () => {
    it('HTTP 200 OK', async () => {
        const { queue, properties } = await createQueue('my-queue');
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}`);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data).toEqual(properties);
    });
});
//# sourceMappingURL=getQueuePropertiesController.test.js.map