import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class ExchangeFanOutService {
    exchangeFanOut;
    constructor(exchangeFanOut) {
        this.exchangeFanOut = promisifyAll(exchangeFanOut);
    }
    async getAllExchanges(queueParams) {
        if (queueParams) {
            const r = await this.exchangeFanOut.getQueueExchangeAsync(queueParams);
            return r ? [r] : [];
        }
        return this.exchangeFanOut.getAllExchangesAsync();
    }
    async saveExchange(fanOutName) {
        await this.exchangeFanOut.saveExchangeAsync(fanOutName);
    }
    async bindQueue(queueParams, fanOutName) {
        await this.exchangeFanOut.bindQueueAsync(queueParams, fanOutName);
    }
    async getQueues(fanOutName) {
        return this.exchangeFanOut.getQueuesAsync(fanOutName);
    }
}
//# sourceMappingURL=ExchangeFanOutService.js.map